//**********************************
//   		GLASS    
//**********************************
//      Make sure you have the 3 glass textures in baseq3/textures/glass/ or this will not work.
//	darkglass.tga, blueglass.tga, plainglass.tga
//	MISC Glass types
// 	Best way to make glass is to create a brush with the NODRAW texture on all sides, then to select the face you want to
//	have the glass on and apply it.  The glass is viewable from both sides of the brush. 



//	Blue, bright glass.  Light swirl pattern to it.

textures/0_slidejumps/blueglass
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	cull twosided
	{
		map textures/glass/blueglass.tga
		tcGen environment
		tcMod turb 0 0.01 0 0.01	        
		tcmod scroll .0 .0
		blendfunc GL_ONE GL_ONE
                }
}

//	Foggy, stained glass with a cool chrome like finish when you walk by. 

textures/0_slidejumps/darkglass
                      {
                      qer_trans .5
                      surfaceparm trans
		      surfaceparm nonsolid
			surfaceparm glass

                      cull disable
                      {
                      map textures/effects/tinfx.tga
                      tcgen environment
                      blendfunc gl_one gl_one
                      rgbGen identity
                      }
                      {
                      map $lightmap
                      blendFunc gl_dst_color gl_zero
                      rgbgen identity
                      }
                      }

// 	Plain glass.

textures/0_slidejumps/plainglass
{
	surfaceparm nolightmap
	surfaceparm solid
        surfaceparm trans
	cull twosided
	{
		map textures/glass/plainglass.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
                }
}

//Created by Louie "KnightBK" Doulias for Black Knights Productions, Prisoners of War Q3 Mod.  
//Please check out our mod site at http://www.og-world.com/bkp/

textures/0_slidejumps/lava
{
   qer_editorimage textures/0_slidejumps/lava.jpeg
   q3map_globaltexture
   surfaceparm trans
   surfaceparm noimpact
   surfaceparm nodamage
   surfaceparm lava
   surfaceparm nolightmap
   q3map_surfacelight 1000
   cull disable
   
   tesssize 100
   cull disable
   deformVertexes wave 100 sin 0.1 1 5 1
   
   {
      map textures/0_slidejumps/lava.jpeg
      tcMod turb 0 .2 0 .1
   }
}

textures/0_slidejumps/ice1:q3map
{
	surfaceparm nodamage
	surfaceparm slick
}


textures/0_slidejumps/ice2:q3map
{
	surfaceparm nodamage
	surfaceparm slick
}


textures/0_slidejumps/ice3:q3map
{
	surfaceparm nodamage
	surfaceparm slick
}


textures/0_slidejumps/ice4:q3map
{
	surfaceparm nodamage
	surfaceparm slick
}

textures/0_slidejumps/ice:q3map
{
	surfaceparm nodamage
	surfaceparm slick
}


textures/0_slidejumps/areaportal
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm areaportal
}

textures/0_slidejumps/caulk
{
	surfaceparm nodraw
    surfaceparm nolightmap
	surfaceparm nomarks
}

textures/0_slidejumps/clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/0_slidejumps/clusterportal
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm clusterportal
}

textures/0_slidejumps/cushion
{
	qer_nocarve
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodamage
}

textures/0_slidejumps/donotenter
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm donotenter
}


// never used
//
//textures/0_slidejumps/energypad
//{
//	qer_editorimage textures/sfx/bluegoal.tga
//	surfaceparm nolightmap
//	cull twosided
//	{
//		map textures//bluegoal.tga
//		blendFunc GL_ONE GL_SRC_ALPHA
//		tcGen environment
//		tcMod turb 0 0.25 0 0.05
//	}
//}

textures/0_slidejumps/full_clip // silly shader, use weapclip instead
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm playerclip
}

textures/0_slidejumps/hint // should NOT use surfaceparm hint.. strange but true
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm hint	// ydnar: yes it should.
}

textures/0_slidejumps/invisible // solid, transparent polygons, casts shadows
{
	surfaceparm nolightmap			
        {
                map textures/0_slidejumps/invisible.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
}

textures/0_slidejumps/mirror1
{
	qer_editorimage textures/0_slidejumps/mirror1.tga
	surfaceparm nolightmap
	portal
  
	{
		map textures/0_slidejumps/mirror1.tga
		blendfunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite
	}
       
        

}

textures/0_slidejumps/mirror2
{
	qer_editorimage textures/0_slidejumps/qer_mirror.tga
	surfaceparm nolightmap
	portal
	{
		map textures/0_slidejumps/mirror1.tga
		blendfunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite
	}
        {
               map textures/sfx/mirror.tga
	       blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
        }

}

textures/0_slidejumps/missileclip
{
	qer_trans 0.40
	surfaceparm nodamage
	surfaceparm nomarks
	surfaceparm nodraw
	//surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm trans
}

textures/0_slidejumps/nodraw
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/0_slidejumps/nodrawnonsolid
{
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm nodraw
}

textures/0_slidejumps/nodrop
{
	qer_nocarve
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodrop
}


textures/0_slidejumps/noimpact
{
	qer_editorimage textures/0_slidejumps/nolightmap.tga
	surfaceparm noimpact
}

textures/0_slidejumps/nolightmap
{
	surfaceparm nolightmap
}

textures/0_slidejumps/origin
{
	qer_nocarve
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm origin
}

textures/0_slidejumps/portal
{
	qer_editorimage textures/0_slidejumps/qer_portal.tga
	surfaceparm nolightmap
	portal
	{
		map textures/0_slidejumps/mirror1.tga
		tcMod turb 0 0.25 0 0.05
		blendfunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite

	}
}

textures/0_slidejumps/slick
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm slick
}

textures/0_slidejumps/terrain
{
	q3map_terrain
	surfaceparm nodraw
    surfaceparm nolightmap
	surfaceparm nomarks
}

textures/0_slidejumps/terrain2
{
	q3map_terrain
	qer_editorimage textures/0_slidejumps/terrain.tga
	surfaceparm dust
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nolightmap
}

textures/0_slidejumps/timportal
{
	qer_editorimage textures/0_slidejumps/qer_portal.tga
	portal
	surfaceparm nolightmap
	{
		map textures/0_slidejumps/portal.tga
		tcMod turb 0 0.25 0 0.05
		blendFunc GL_ONE GL_SRC_ALPHA
		depthWrite
	}
}

textures/0_slidejumps/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/0_slidejumps/weapclip
{
	qer_trans 0.40
	surfaceparm nodraw
    	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
}

textures/0_slidejumps/metalclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
	surfaceparm metalsteps
}

textures/0_slidejumps/botclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm botclip
}

//
// ydnar q3map lightgrid bounds
//
// the min/max bounds of brushes with this shader in a map
// will define the bounds of the map's lightgrid (model lighting)
// note: make it as small as possible around player space
// to minimize bsp size and compile time
//

textures/0_slidejumps/lightgrid
{
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm detail
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm lightgrid
}

textures/0_slidejumps/tile:q3map
{
	surfaceparm nodamage
}


textures/base_floor/achtung_clang:q3map
{
	surfaceparm nodamage
}

